commit:     7ac961a57dc11895bcecea65e17f89d5cafdf809
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 15 07:42:43 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Jun 15 08:14:58 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7ac961a5

dev-python/webob: Enable py3.13

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/webob/webob-1.8.7-r2.ebuild | 37 ++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)

diff --git a/dev-python/webob/webob-1.8.7-r2.ebuild 
b/dev-python/webob/webob-1.8.7-r2.ebuild
new file mode 100644
index 000000000000..836e74c043c9
--- /dev/null
+++ b/dev-python/webob/webob-1.8.7-r2.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYPI_PN="WebOb"
+PYTHON_COMPAT=( pypy3 python3_{10..13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="WSGI request and response object"
+HOMEPAGE="
+       https://webob.org/
+       https://github.com/Pylons/webob/
+       https://pypi.org/project/WebOb/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+       $(python_gen_cond_dep '
+               dev-python/legacy-cgi[${PYTHON_USEDEP}]
+       ' 3.13)
+"
+
+distutils_enable_sphinx docs 'dev-python/alabaster'
+distutils_enable_tests pytest
+
+src_prepare() {
+       # py3.9
+       sed -i -e 's:isAlive:is_alive:' tests/conftest.py || die
+       distutils-r1_src_prepare
+}

Reply via email to